Skip to content
The API may change between versions while TTX-Zone is 0.x.

Get email settings

GET
/api/v1/instance/email
curl --request GET \
--url https://example.com/api/v1/instance/email \
--cookie ttx_access_token=<ttx_access_token>

The outgoing email settings.

Successful Response

Media typeapplication/json
EmailSettingsRead

Platform -> Email. Never carries a secret: has_password says whether one is stored, password_readable whether the current key still decrypts it.

object
active
required
Active
boolean
allow_insecure
required
Allow Insecure
boolean
configured
required
Configured
boolean
enabled
Enabled
boolean
failed
Failed
integer
0
from_address
Any of:
string
from_name
Any of:
string
has_password
Has Password
boolean
last_error
Any of:
string
last_failed_at
Any of:
string format: date-time
last_sent_at
Any of:
string format: date-time
password_readable
Password Readable
boolean
default: true
pending
Pending
integer
0
pinned_by_env
required
Pinned By Env
boolean
reply_to
Any of:
string
smtp_host
Any of:
string
smtp_port
Any of:
integer
smtp_security
Any of:
string
Allowed values: starttls tls none
smtp_username
Any of:
string
transport
Any of:
string
updated_at
Any of:
string format: date-time

Example

{
"enabled": false,
"failed": 0,
"has_password": false,
"password_readable": true,
"pending": 0,
"smtp_security": "starttls"
}